package eu.eudat.models.data.rda;

public class DatasetMetadataRDAExportModel {
	private String description; // Not mandatory.
	private String language;
	private DatasetMetadataIdRDAExportModel metadata_id;

	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}

	public String getLanguage() {
		return language;
	}
	public void setLanguage(String language) {
		this.language = language;
	}

	public DatasetMetadataIdRDAExportModel getMetadata_id() {
		return metadata_id;
	}
	public void setMetadata_id(DatasetMetadataIdRDAExportModel metadata_id) {
		this.metadata_id = metadata_id;
	}

	public DatasetMetadataRDAExportModel fromDataModel(String key, Object value) {
		DatasetMetadataRDAExportModel metadataRDAExportModel = new DatasetMetadataRDAExportModel();
		if (key.contains("metadata_id"))
			metadataRDAExportModel.setMetadata_id(new DatasetMetadataIdRDAExportModel().fromDataModel(key, value));
		else if (key.contains("language"))
			metadataRDAExportModel.setLanguage(value.toString());
		else if (key.contains("description"))
			metadataRDAExportModel.setDescription(value.toString());

		return metadataRDAExportModel;
	}
}
